Bug 865503 - Slow / many disk mdadm may cause libguestfs commands to fail
Slow / many disk mdadm may cause libguestfs commands to fail
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 11:36 EDT by Richard W.M. Jones
Modified: 2012-11-15 11:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-15 11:27:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2012-10-11 11:36:39 EDT
Description of problem:

This was manifested by the libguestfs test suite,
tests/md/test-mdadm.sh.

If there are lots of mdadm disks, or if mdadm is having
a slow day, then it can happen that all of the disks are
not available by the time the appliance has started up
and started to accept commands.

See below for the full log.

Version-Release number of selected component (if applicable):

libguestfs 1.16.32, but probably affects later versions

How reproducible:

Very rare.

Steps to Reproduce:
1. Run tests/md/test-mdadm.sh test.

Additional info:

Notice in the trace below that 5 MD devices are created (there
are 5 on the 4 disks which have been added, so that is correct).
However one of them isn't ready by the time we come to examine it.

[    0.000000] Disabling memory control group subsystem
[    0.000000] PID hash table entries: 2048 (order: 2, 16384 bytes)
[    0.000000] Checking aperture...
[    0.000000] No AGP bridge found
[    0.000000] AMD-Vi disabled by default: pass amd_iommu=on to enable
[    0.000000] Memory: 483928k/511988k available (5233k kernel code, 432k absent, 27628k reserved, 7093k data, 1260k init)
[    0.000000] Hierarchical RCU implementation.
[    0.000000] NR_IRQS:33024 nr_irqs:256
[    0.000000] Console: colour dummy device 80x25
[    0.000000] console [ttyS0] enabled
[    0.000000] Fast TSC calibration using PIT
[    0.000000] Detected 2700.059 MHz processor.
[    0.002293] Calibrating delay loop (skipped), value calculated using timer frequency.. 5400.11 BogoMIPS (lpj=2700059)
[    0.003169] pid_max: default: 32768 minimum: 301
[    0.004215] Security Framework initialized
[    0.004999] SELinux:  Disabled at boot.
[    0.005999] Dentry cache hash table entries: 65536 (order: 7, 524288 bytes)
[    0.006741] Inode-cache hash table entries: 32768 (order: 6, 262144 bytes)
[    0.006999] Mount-cache hash table entries: 256
[    0.009695] Initializing cgroup subsys ns
[    0.009924] Initializing cgroup subsys cpuacct
[    0.009999] Initializing cgroup subsys memory
[    0.009999] Initializing cgroup subsys devices
[    0.009999] Initializing cgroup subsys freezer
[    0.010028] Initializing cgroup subsys net_cls
[    0.010161] Initializing cgroup subsys blkio
[    0.010331] Initializing cgroup subsys perf_event
[    0.010470] Initializing cgroup subsys net_prio
[    0.010999] mce: CPU supports 10 MCE banks
[    0.011580] alternatives: switching to unfair spinlock
[    0.012998] SMP alternatives: switching to UP code
[    0.042996] Freeing SMP alternatives: 34k freed
[    0.042996] ftrace: converting mcount calls to 0f 1f 44 00 00
[    0.042996] ftrace: allocating 21166 entries in 84 pages
[    0.046996] Setting APIC routing to flat
[    0.048490] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[    0.048727] CPU0: AMD QEMU Virtual CPU version (cpu64-rhel6) stepping 03
[    0.152317] Performance Events: Broken PMU hardware detected, using software events only.
[    0.153259] NMI watchdog disabled (cpu0): hardware events not enabled
[    0.153713] Brought up 1 CPUs
[    0.153856] Total of 1 processors activated (5400.11 BogoMIPS).
[    0.153984] x86 PAT enabled: cpu 0, old 0x7010600070106, new 0x7010600070106
[    0.156609] devtmpfs: initialized
[    0.168278] regulator: core version 0.5
[    0.168982] NET: Registered protocol family 16
[    0.177739] PCI: Using configuration type 1 for base access
[    0.185249] bio: create slab <bio-0> at 0
[    0.186192] ACPI: Interpreter disabled.
[    0.186980] vgaarb: loaded
[    0.187980] SCSI subsystem initialized
[    0.188980] usbcore: registered new interface driver usbfs
[    0.189134] usbcore: registered new interface driver hub
[    0.189625] usbcore: registered new device driver usb
[    0.190545] PCI: Probing PCI hardware
[    0.191931] pci 0000:00:01.3: quirk: [io  0xb000-0xb03f] claimed by PIIX4 ACPI
[    0.191979] pci 0000:00:01.3: quirk: [io  0xb100-0xb10f] claimed by PIIX4 SMB
[    0.194665] pci 0000:00:01.0: PIIX/ICH IRQ router [8086:7000]
[    0.196645] NetLabel: Initializing
[    0.196764] NetLabel:  domain hash size = 128
[    0.196885] NetLabel:  protocols = UNLABELED CIPSOv4
[    0.196978] NetLabel:  unlabeled traffic allowed by default
[    0.197929] Switching to clocksource jiffies
[    0.264968] pnp: PnP ACPI: disabled
[    0.266968] NET: Registered protocol family 2
[    0.267719] IP route cache hash table entries: 4096 (order: 3, 32768 bytes)
[    0.268968] TCP established hash table entries: 16384 (order: 6, 262144 bytes)
[    0.269534] TCP bind hash table entries: 16384 (order: 6, 262144 bytes)
[    0.269968] TCP: Hash tables configured (established 16384 bind 16384)
[    0.269968] TCP reno registered
[    0.270656] NET: Registered protocol family 1
[    0.270918] pci 0000:00:00.0: Limiting direct PCI/PCI transfers
[    0.270968] pci 0000:00:01.0: PIIX3: Enabling Passive Release
[    0.270968] pci 0000:00:01.0: Activating ISA DMA hang workarounds
[    0.272205] Trying to unpack rootfs image as initramfs...
[    0.280966] Freeing initrd memory: 2349k freed
[    0.282539] platform rtc_cmos: registered platform RTC device (no PNP device found)
[    0.285542] audit: initializing netlink socket (disabled)
[    0.285965] type=2000 audit(1349964542.284:1): initialized
[    0.301632] HugeTLB registered 2 MB page size, pre-allocated 0 pages
[    0.302963] VFS: Disk quotas dquot_6.5.2
[    0.303192] Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    0.304160] msgmni has been set to 949
[    0.306962] alg: No test for stdrng (krng)
[    0.307085] ksign: Installing public key data
[    0.307220] Loading keyring
[    0.307841] - Added public key C102F967AA5777EC
[    0.307962] - User ID: Red Hat, Inc. (Kernel Module GPG key)
[    0.307962] - Added public key D4A26C9CCD09BEDA
[    0.307962] - User ID: Red Hat Enterprise Linux Driver Update Program <secalert@redhat.com>
[    0.308581] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 251)
[    0.308962] io scheduler noop registered
[    0.308962] io scheduler anticipatory registered
[    0.308962] io scheduler deadline registered
[    0.308962] io scheduler cfq registered (default)
[    0.309962] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    0.310507] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[    0.310700] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[    0.320960] Non-volatile memory driver v1.3
[    0.320960] Linux agpgart interface v0.103
[    0.321960] crash memory driver: version 1.1
[    0.321960] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
\xff[    0.566615] serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
[    0.585919] brd: module loaded
[    0.589827] loop: module loaded
[    0.589970] input: Macintosh mouse button emulation as /devices/virtual/input/input0
[    0.590919] Fixed MDIO Bus: probed
[    0.591138] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    0.591563] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    0.591919] uhci_hcd: USB Universal Host Controller Interface driver
[    0.591998] PNP: No PS/2 controller found. Probing ports directly.
[    0.593208] serio: i8042 KBD port at 0x60,0x64 irq 1
[    0.593505] serio: i8042 AUX port at 0x60,0x64 irq 12
[    0.594427] mice: PS/2 mouse device common for all mice
[    0.595918] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input1
[    0.597918] rtc_cmos rtc_cmos: rtc core: registered rtc_cmos as rtc0
[    0.598210] rtc0: alarms up to one day, 114 bytes nvram
[    0.598551] cpuidle: using governor ladder
[    0.598732] cpuidle: using governor menu
[    0.598863] EFI Variables Facility v0.08 2004-May-17
[    0.600917] usbcore: registered new interface driver hiddev
[    0.600917] usbcore: registered new interface driver usbhid
[    0.600917] usbhid: v2.6:USB HID core driver
[    0.601784] TCP cubic registered
[    0.601910] Initializing XFRM netlink socket
[    0.601917] NET: Registered protocol family 17
[    0.602917] registered taskstats version 1
[    0.603917] rtc_cmos rtc_cmos: setting system clock to 2012-10-11 14:09:04 UTC (1349964544)
[    0.603917] Initalizing network drop monitor service
[    0.604563] Freeing unused kernel memory: 1260k freed
[    0.611916] Write protecting the kernel read-only data: 10240k
[    0.612915] Freeing unused kernel memory: 892k freed
[    0.613915] Freeing unused kernel memory: 1704k freed
febootstrap: mounting /proc
febootstrap: uptime: 0.63 0.28
febootstrap: ext2 mini initrd starting up: 3.12 zlib
febootstrap: mounting /sys
febootstrap: internal insmod libcrc32c.ko
febootstrap: internal insmod crc32c-intel.ko
insmod: init_module: crc32c-intel.ko: No such device
febootstrap: internal insmod crc-itu-t.ko
febootstrap: internal insmod crc-t10dif.ko
febootstrap: internal insmod crc-ccitt.ko
febootstrap: internal insmod crc7.ko
febootstrap: internal insmod mbcache.ko
febootstrap: internal insmod cdrom.ko
febootstrap: internal insmod sr_mod.ko
febootstrap: internal insmod ata_piix.ko
[    0.746895] scsi0 : ata_piix
[    0.747895] scsi1 : ata_piix
[    0.748220] ata1: PATA max MWDMA2 cmd 0x1f0 ctl 0x3f6 bmdma 0xc000 irq 14
[    0.748455] ata2: PATA max MWDMA2 cmd 0x170 ctl 0x376 bmdma 0xc008 irq 15
febootstrap: internal insmod scsi_transport_spi.ko
febootstrap: internal insmod sym53c8xx.ko
febootstrap: internal insmod sd_mod.ko
febootstrap: internal insmod virtio_ring.ko
febootstrap: internal insmod virtio.ko
febootstrap: internal insmod virtio-rng.ko
febootstrap: internal insmod virtio_console.ko
febootstrap: internal insmod virtio_blk.ko
[    1.031851] input: ImExPS/2 Generic Explorer Mouse as /devices/platform/i8042/serio1/input/input2
febootstrap: internal insmod virtio_scsi.ko
febootstrap: internal insmod virtio_net.ko
febootstrap: internal insmod virtio_pci.ko
[    1.081308] virtio-pci 0000:00:02.0: PCI->APIC IRQ transform: INT A -> IRQ 10
[    1.086969] virtio-pci 0000:00:03.0: PCI->APIC IRQ transform: INT A -> IRQ 11
[    1.090063]  vda: vda1 vda2 vda3 vda4
[    1.095841] virtio-pci 0000:00:04.0: PCI->APIC IRQ transform: INT A -> IRQ 11
[    1.096841]  vdb: vdb1 vdb2 vdb3 vdb4
[    1.098006] virtio-pci 0000:00:05.0: PCI->APIC IRQ transform: INT A -> IRQ 10
[    1.098904]  vdc: vdc1 vdc2 vdc3 vdc4
[    1.100841] virtio-pci 0000:00:06.0: PCI->APIC IRQ transform: INT A -> IRQ 10
[    1.101841]  vdd: vdd1 vdd2 vdd3 vdd4
[    1.102840] virtio-pci 0000:00:07.0: PCI->APIC IRQ transform: INT A -> IRQ 11
[    1.103840]  vde: unknown partition table
febootstrap: internal insmod virtio_balloon.ko
febootstrap: internal insmod jbd2.ko
febootstrap: internal insmod ext4.ko
febootstrap: internal insmod ext2.ko
febootstrap: picked /sys/block/vde/dev as root device
febootstrap: creating /dev/root as block special 253:64
febootstrap: mounting new root on /root
febootstrap: chroot
/proc/uptime: No such file or directory
[    1.282187] Switching to clocksource tsc
Starting /init script ...
Starting udev: udevd[88]: specified group 'dialout' unknown


udevd[88]: specified group 'floppy' unknown


udevd[88]: specified user 'vcsa' unknown


udevd[88]: specified group 'cdrom' unknown


udevd[88]: specified group 'tape' unknown


[    3.213109] udev: starting version 147
/sbin/start_udev: line 291: /etc/sysconfig/network: No such file or directory
[    3.282915] Clocksource tsc unstable (delta = 500009222 ns).  Enable clocksource failover by adding clocksource_failover kernel parameter.
[    4.282481] Clocksource tsc unstable (delta = 500321206 ns).  Enable clocksource failover by adding clocksource_failover kernel parameter.
[    5.281186] Clocksource tsc unstable (delta = 498812357 ns).  Enable clocksource failover by adding clocksource_failover kernel parameter.
[    6.281130] Clocksource tsc unstable (delta = 500042822 ns).  Enable clocksource failover by adding clocksource_failover kernel parameter.
[    7.281445] Clocksource tsc unstable (delta = 500316700 ns).  Enable clocksource failover by adding clocksource_failover kernel parameter.
[    8.281094] Clocksource tsc unstable (delta = 499800210 ns).  Enable clocksource failover by adding clocksource_failover kernel parameter.
[    9.281213] Clocksource tsc unstable (delta = 500031853 ns).  Enable clocksource failover by adding clocksource_failover kernel parameter.
[    9.895947] piix4_smbus 0000:00:01.3: SMBus Host Controller at 0xb100, revision 0
[   10.089700] md: bind<vdb1>
[   10.281244] Clocksource tsc unstable (delta = 500062861 ns).  Enable clocksource failover by adding clocksource_failover kernel parameter.
[   10.427451] md: bind<vda2>
[   10.765147] md: bind<vdc3>
[   11.025439] md: bind<vdb3>
udevd-work[93]: error opening ATTR{/sys/devices/virtual/block/md124/queue/iosched/slice_idle} for writing: No such file or directory


udevd-work[93]: error opening ATTR{/sys/devices/virtual/block/md124/queue/iosched/quantum} for writing: No such file or directory


[   11.148019] md: bind<vdd2>
[   11.259999] md: bind<vda3>
[   11.281221] Clocksource tsc unstable (delta = 500073438 ns).  Enable clocksource failover by adding clocksource_failover kernel parameter.
[   11.385365] md: bind<vdc2>
[   11.507413] md: bind<vda1>
[   11.891893] md: raid1 personality registered for level 1
[   11.905332] bio: create slab <bio-1> at 1
[   11.913730] md/raid1:md127: active with 2 out of 2 mirrors
[   11.913874] md127: detected capacity change from 0 to 2084864
[   12.007914]  md127: unknown partition table
[   12.061890] md: bind<vdb2>
[   12.280986] Clocksource tsc unstable (delta = 500031007 ns).  Enable clocksource failover by adding clocksource_failover kernel parameter.
[   12.335908] async_tx: api initialized (async)
[   12.483531] xor: automatically using best checksumming function: generic_sse
[   12.493106]    generic_sse:  1992.000 MB/sec
[   12.493253] xor: using function: generic_sse (1992.000 MB/sec)
[   12.741033] raid6: int64x1    464 MB/s
[   12.774909] raid6: int64x2    691 MB/s
[   12.809048] raid6: int64x4    558 MB/s
[   12.843032] raid6: int64x8    457 MB/s
[   12.877065] raid6: sse2x1     492 MB/s
[   12.911022] raid6: sse2x2     636 MB/s
[   12.944971] raid6: sse2x4     667 MB/s
[   12.945109] raid6: using algorithm sse2x4 (667 MB/s)
[   12.945321] raid6: using intx1 recovery algorithm
[   13.280968] Clocksource tsc unstable (delta = 500057887 ns).  Enable clocksource failover by adding clocksource_failover kernel parameter.
[   13.281888] md: raid6 personality registered for level 6
[   13.281888] md: raid5 personality registered for level 5
[   13.281888] md: raid4 personality registered for level 4
[   13.293613] md/raid:md126: device vdb2 operational as raid disk 1
[   13.293884] md/raid:md126: device vdc2 operational as raid disk 2
[   13.293886] md/raid:md126: device vdd2 operational as raid disk 3
[   13.293886] md/raid:md126: device vda2 operational as raid disk 0
[   13.301890] md/raid:md126: allocated 4314kB
[   13.307855] md/raid:md126: raid level 5 active with 4 out of 4 devices, algorithm 2
[   13.309362] md126: detected capacity change from 0 to 4718592
[   13.459899]  md126: unknown partition table
[   13.739101] md: bind<vdc1>
[   14.005664] md: bind<vdd1>
[   14.185885] md/raid1:md123: active with 2 out of 2 mirrors
[   14.187429] md123: detected capacity change from 0 to 2084864
[   14.263881]  md123: unknown partition table
[   14.280952] Clocksource tsc unstable (delta = 500066851 ns).  Enable clocksource failover by adding clocksource_failover kernel parameter.
[   14.301342] md: bind<vdd3>
[   14.420888] md/raid:md125: not clean -- starting background reconstruction
[   14.423078] md/raid:md125: device vdd3 operational as raid disk 1
[   14.423264] md/raid:md125: device vdc3 operational as raid disk 0
[   14.425827] md/raid:md125: allocated 2210kB
[   14.427732] md/raid:md125: raid level 5 active with 2 out of 2 devices, algorithm 2
[   14.427861] md125: detected capacity change from 0 to 1572864
[   14.451692] md: resync of RAID array md125
[   14.451872] md: minimum _guaranteed_  speed: 1000 KB/sec/disk.
[   14.451872] md: using maximum available idle IO bandwidth (but not more than 200000 KB/sec) for resync.
[   14.451872] md: using 128k window, over a total of 1536k.
[   14.524869]  md125: unknown partition table
[   15.279885] Clocksource tsc unstable (delta = 498994773 ns).  Enable clocksource failover by adding clocksource_failover kernel parameter.
[  OK  ]

SIOCSIFADDR: No such device
eth0: unknown interface: No such device
[   16.279949] Clocksource tsc unstable (delta = 500131694 ns).  Enable clocksource failover by adding clocksource_failover kernel parameter.
SIOCADDRT: No such process
mdadm: No arrays found in config file or automatically
[   16.661581] device-mapper: uevent: version 1.0.3
[   16.677242] device-mapper: ioctl: 4.22.7-ioctl (2012-06-01) initialised: dm-devel@redhat.com
[   16.939596] md: md125: resync done.
  Reading all physical volumes.  This may take a while...
  No volume groups found
[   17.280924] Clocksource tsc unstable (delta = 501061855 ns).  Enable clocksource failover by adding clocksource_failover kernel parameter.
  No volume groups found
/dev:
total 0
lrwxrwxrwx 1 root root       13 Oct 11 10:09 MAKEDEV -> /sbin/MAKEDEV
drwxr-xr-x 2 root root     1040 Oct 11  2012 block
drwxr-xr-x 2 root root     2140 Oct 11 10:09 char
crw------- 1 root root   5,   1 Oct 11  2012 console
lrwxrwxrwx 1 root root       11 Oct 11 10:09 core -> /proc/kcore
drwxr-xr-x 3 root root       60 Oct 11 10:09 cpu
crw-rw---- 1 root root  10,  61 Oct 11  2012 cpu_dma_latency
crw-rw---- 1 root root  10,  62 Oct 11  2012 crash
drwxr-xr-x 5 root root      100 Oct 11  2012 disk
lrwxrwxrwx 1 root root       13 Oct 11 10:09 fd -> /proc/self/fd
crw-rw-rw- 1 root root   1,   7 Oct 11 10:09 full
crw-rw-rw- 1 root root  10, 229 Oct 11 10:09 fuse
drwxr-xr-x 2 root root       40 Oct 11 10:09 hugepages
drwxr-xr-x 3 root root      180 Oct 11  2012 input
crw-rw---- 1 root root   1,  11 Oct 11 10:09 kmsg
brw-rw---- 1 root disk   7,   0 Oct 11  2012 loop0
brw-rw---- 1 root disk   7,   1 Oct 11  2012 loop1
brw-rw---- 1 root disk   7,   2 Oct 11  2012 loop2
brw-rw---- 1 root disk   7,   3 Oct 11  2012 loop3
brw-rw---- 1 root disk   7,   4 Oct 11  2012 loop4
brw-rw---- 1 root disk   7,   5 Oct 11  2012 loop5
brw-rw---- 1 root disk   7,   6 Oct 11  2012 loop6
brw-rw---- 1 root disk   7,   7 Oct 11  2012 loop7
crw-rw---- 1 root lp     6,   0 Oct 11 10:09 lp0
crw-rw---- 1 root lp     6,   1 Oct 11 10:09 lp1
crw-rw---- 1 root lp     6,   2 Oct 11 10:09 lp2
crw-rw---- 1 root lp     6,   3 Oct 11 10:09 lp3
drwxr-xr-x 2 root root       60 Oct 11 10:09 mapper
crw-rw---- 1 root root  10, 227 Oct 11  2012 mcelog
drwxr-xr-x 2 root root      140 Oct 11 10:09 md
brw-rw---- 1 root disk   9, 123 Oct 11  2012 md123
brw-rw---- 1 root disk   9, 124 Oct 11  2012 md124
brw-rw---- 1 root disk   9, 125 Oct 11  2012 md125
brw-rw---- 1 root disk   9, 126 Oct 11  2012 md126
brw-rw---- 1 root disk   9, 127 Oct 11  2012 md127
crw-r----- 1 root kmem   1,   1 Oct 11 10:09 mem
drwxr-xr-x 2 root root       60 Oct 11 10:09 net
crw-rw---- 1 root root  10,  60 Oct 11  2012 network_latency
crw-rw---- 1 root root  10,  59 Oct 11  2012 network_throughput
crw-rw-rw- 1 root root   1,   3 Oct 11  2012 null
crw-r----- 1 root kmem  10, 144 Oct 11  2012 nvram
crw-rw---- 1 root root   1,  12 Oct 11  2012 oldmem
crw-r----- 1 root kmem   1,   4 Oct 11  2012 port
crw------- 1 root root 108,   0 Oct 11 10:09 ppp
crw-rw-rw- 1 root tty    5,   2 Oct 11  2012 ptmx
drwxr-xr-x 2 root root       40 Oct 11 10:09 pts
brw-rw---- 1 root disk   1,   0 Oct 11  2012 ram0
brw-rw---- 1 root disk   1,   1 Oct 11  2012 ram1
brw-rw---- 1 root disk   1,  10 Oct 11  2012 ram10
brw-rw---- 1 root disk   1,  11 Oct 11  2012 ram11
brw-rw---- 1 root disk   1,  12 Oct 11  2012 ram12
brw-rw---- 1 root disk   1,  13 Oct 11  2012 ram13
brw-rw---- 1 root disk   1,  14 Oct 11  2012 ram14
brw-rw---- 1 root disk   1,  15 Oct 11  2012 ram15
brw-rw---- 1 root disk   1,   2 Oct 11  2012 ram2
brw-rw---- 1 root disk   1,   3 Oct 11  2012 ram3
brw-rw---- 1 root disk   1,   4 Oct 11  2012 ram4
brw-rw---- 1 root disk   1,   5 Oct 11  2012 ram5
brw-rw---- 1 root disk   1,   6 Oct 11  2012 ram6
brw-rw---- 1 root disk   1,   7 Oct 11  2012 ram7
brw-rw---- 1 root disk   1,   8 Oct 11  2012 ram8
brw-rw---- 1 root disk   1,   9 Oct 11  2012 ram9
crw-rw-rw- 1 root root   1,   8 Oct 11  2012 random
drwxr-xr-x 2 root root       60 Oct 11 10:09 raw
lrwxrwxrwx 1 root root        4 Oct 11 10:09 rtc -> rtc0
crw-rw---- 1 root root 254,   0 Oct 11 10:09 rtc0
drwxr-xr-x 2 root root       40 Oct 11 10:09 shm
crw-rw---- 1 root root  10, 231 Oct 11  2012 snapshot
lrwxrwxrwx 1 root root       15 Oct 11 10:09 stderr -> /proc/self/fd/2
lrwxrwxrwx 1 root root       15 Oct 11 10:09 stdin -> /proc/self/fd/0
lrwxrwxrwx 1 root root       15 Oct 11 10:09 stdout -> /proc/self/fd/1
crw-rw-rw- 1 root tty    5,   0 Oct 11  2012 tty
crw--w---- 1 root tty    4,   0 Oct 11  2012 tty0
crw--w---- 1 root tty    4,   1 Oct 11  2012 tty1
crw--w---- 1 root tty    4,  10 Oct 11  2012 tty10
crw--w---- 1 root tty    4,  11 Oct 11  2012 tty11
crw--w---- 1 root tty    4,  12 Oct 11  2012 tty12
crw--w---- 1 root tty    4,  13 Oct 11  2012 tty13
crw--w---- 1 root tty    4,  14 Oct 11  2012 tty14
crw--w---- 1 root tty    4,  15 Oct 11  2012 tty15
crw--w---- 1 root tty    4,  16 Oct 11  2012 tty16
crw--w---- 1 root tty    4,  17 Oct 11  2012 tty17
crw--w---- 1 root tty    4,  18 Oct 11  2012 tty18
crw--w---- 1 root tty    4,  19 Oct 11  2012 tty19
crw--w---- 1 root tty    4,   2 Oct 11  2012 tty2
crw--w---- 1 root tty    4,  20 Oct 11  2012 tty20
crw--w---- 1 root tty    4,  21 Oct 11  2012 tty21
crw--w---- 1 root tty    4,  22 Oct 11  2012 tty22
crw--w---- 1 root tty    4,  23 Oct 11  2012 tty23
crw--w---- 1 root tty    4,  24 Oct 11  2012 tty24
crw--w---- 1 root tty    4,  25 Oct 11  2012 tty25
crw--w---- 1 root tty    4,  26 Oct 11  2012 tty26
crw--w---- 1 root tty    4,  27 Oct 11  2012 tty27
crw--w---- 1 root tty    4,  28 Oct 11  2012 tty28
crw--w---- 1 root tty    4,  29 Oct 11  2012 tty29
crw--w---- 1 root tty    4,   3 Oct 11  2012 tty3
crw--w---- 1 root tty    4,  30 Oct 11  2012 tty30
crw--w---- 1 root tty    4,  31 Oct 11  2012 tty31
crw--w---- 1 root tty    4,  32 Oct 11  2012 tty32
crw--w---- 1 root tty    4,  33 Oct 11  2012 tty33
crw--w---- 1 root tty    4,  34 Oct 11  2012 tty34
crw--w---- 1 root tty    4,  35 Oct 11  2012 tty35
crw--w---- 1 root tty    4,  36 Oct 11  2012 tty36
crw--w---- 1 root tty    4,  37 Oct 11  2012 tty37
crw--w---- 1 root tty    4,  38 Oct 11  2012 tty38
crw--w---- 1 root tty    4,  39 Oct 11  2012 tty39
crw--w---- 1 root tty    4,   4 Oct 11  2012 tty4
crw--w---- 1 root tty    4,  40 Oct 11  2012 tty40
crw--w---- 1 root tty    4,  41 Oct 11  2012 tty41
crw--w---- 1 root tty    4,  42 Oct 11  2012 tty42
crw--w---- 1 root tty    4,  43 Oct 11  2012 tty43
crw--w---- 1 root tty    4,  44 Oct 11  2012 tty44
crw--w---- 1 root tty    4,  45 Oct 11  2012 tty45
crw--w---- 1 root tty    4,  46 Oct 11  2012 tty46
crw--w---- 1 root tty    4,  47 Oct 11  2012 tty47
crw--w---- 1 root tty    4,  48 Oct 11  2012 tty48
crw--w---- 1 root tty    4,  49 Oct 11  2012 tty49
crw--w---- 1 root tty    4,   5 Oct 11  2012 tty5
crw--w---- 1 root tty    4,  50 Oct 11  2012 tty50
crw--w---- 1 root tty    4,  51 Oct 11  2012 tty51
crw--w---- 1 root tty    4,  52 Oct 11  2012 tty52
crw--w---- 1 root tty    4,  53 Oct 11  2012 tty53
crw--w---- 1 root tty    4,  54 Oct 11  2012 tty54
crw--w---- 1 root tty    4,  55 Oct 11  2012 tty55
crw--w---- 1 root tty    4,  56 Oct 11  2012 tty56
crw--w---- 1 root tty    4,  57 Oct 11  2012 tty57
crw--w---- 1 root tty    4,  58 Oct 11  2012 tty58
crw--w---- 1 root tty    4,  59 Oct 11  2012 tty59
crw--w---- 1 root tty    4,   6 Oct 11  2012 tty6
crw--w---- 1 root tty    4,  60 Oct 11  2012 tty60
crw--w---- 1 root tty    4,  61 Oct 11  2012 tty61
crw--w---- 1 root tty    4,  62 Oct 11  2012 tty62
crw--w---- 1 root tty    4,  63 Oct 11  2012 tty63
crw--w---- 1 root tty    4,   7 Oct 11  2012 tty7
crw--w---- 1 root tty    4,   8 Oct 11  2012 tty8
crw--w---- 1 root tty    4,   9 Oct 11  2012 tty9
crw-rw---- 1 root root   4,  64 Oct 11 10:09 ttyS0
crw-rw---- 1 root root   4,  65 Oct 11 10:09 ttyS1
crw-rw---- 1 root root   4,  66 Oct 11 10:09 ttyS2
crw-rw---- 1 root root   4,  67 Oct 11 10:09 ttyS3
crw-rw-rw- 1 root root   1,   9 Oct 11  2012 urandom
crw-rw---- 1 root root 250,   0 Oct 11  2012 usbmon0
crw-rw---- 1 root tty    7,   0 Oct 11  2012 vcs
crw-rw---- 1 root tty    7,   1 Oct 11  2012 vcs1
crw-rw---- 1 root tty    7, 128 Oct 11  2012 vcsa
crw-rw---- 1 root tty    7, 129 Oct 11  2012 vcsa1
brw-rw---- 1 root disk 253,   0 Oct 11  2012 vda
brw-rw---- 1 root disk 253,   1 Oct 11  2012 vda1
brw-rw---- 1 root disk 253,   2 Oct 11  2012 vda2
brw-rw---- 1 root disk 253,   3 Oct 11  2012 vda3
brw-rw---- 1 root disk 253,   4 Oct 11  2012 vda4
brw-rw---- 1 root disk 253,  16 Oct 11  2012 vdb
brw-rw---- 1 root disk 253,  17 Oct 11  2012 vdb1
brw-rw---- 1 root disk 253,  18 Oct 11  2012 vdb2
brw-rw---- 1 root disk 253,  19 Oct 11  2012 vdb3
brw-rw---- 1 root disk 253,  20 Oct 11  2012 vdb4
brw-rw---- 1 root disk 253,  32 Oct 11  2012 vdc
brw-rw---- 1 root disk 253,  33 Oct 11  2012 vdc1
brw-rw---- 1 root disk 253,  34 Oct 11  2012 vdc2
brw-rw---- 1 root disk 253,  35 Oct 11  2012 vdc3
brw-rw---- 1 root disk 253,  36 Oct 11  2012 vdc4
brw-rw---- 1 root disk 253,  48 Oct 11  2012 vdd
brw-rw---- 1 root disk 253,  49 Oct 11  2012 vdd1
brw-rw---- 1 root disk 253,  50 Oct 11  2012 vdd2
brw-rw---- 1 root disk 253,  51 Oct 11  2012 vdd3
brw-rw---- 1 root disk 253,  52 Oct 11  2012 vdd4
brw-rw---- 1 root disk 253,  64 Oct 11  2012 vde
crw-rw---- 1 root root  10,  63 Oct 11  2012 vga_arbiter
drwxr-xr-x 2 root root       60 Oct 11 10:09 virtio-ports
crw-rw---- 1 root root 248,   1 Oct 11 10:09 vport0p1
crw-rw-rw- 1 root root   1,   5 Oct 11  2012 zero

/dev/block:
total 0
lrwxrwxrwx 1 root root 7 Oct 11  2012 1:0 -> ../ram0
lrwxrwxrwx 1 root root 7 Oct 11  2012 1:1 -> ../ram1
lrwxrwxrwx 1 root root 8 Oct 11  2012 1:10 -> ../ram10
lrwxrwxrwx 1 root root 8 Oct 11  2012 1:11 -> ../ram11
lrwxrwxrwx 1 root root 8 Oct 11  2012 1:12 -> ../ram12
lrwxrwxrwx 1 root root 8 Oct 11  2012 1:13 -> ../ram13
lrwxrwxrwx 1 root root 8 Oct 11  2012 1:14 -> ../ram14
lrwxrwxrwx 1 root root 8 Oct 11  2012 1:15 -> ../ram15
lrwxrwxrwx 1 root root 7 Oct 11  2012 1:2 -> ../ram2
lrwxrwxrwx 1 root root 7 Oct 11  2012 1:3 -> ../ram3
lrwxrwxrwx 1 root root 7 Oct 11  2012 1:4 -> ../ram4
lrwxrwxrwx 1 root root 7 Oct 11  2012 1:5 -> ../ram5
lrwxrwxrwx 1 root root 7 Oct 11  2012 1:6 -> ../ram6
lrwxrwxrwx 1 root root 7 Oct 11  2012 1:7 -> ../ram7
lrwxrwxrwx 1 root root 7 Oct 11  2012 1:8 -> ../ram8
lrwxrwxrwx 1 root root 7 Oct 11  2012 1:9 -> ../ram9
lrwxrwxrwx 1 root root 6 Oct 11  2012 253:0 -> ../vda
lrwxrwxrwx 1 root root 7 Oct 11  2012 253:1 -> ../vda1
lrwxrwxrwx 1 root root 6 Oct 11  2012 253:16 -> ../vdb
lrwxrwxrwx 1 root root 7 Oct 11  2012 253:17 -> ../vdb1
lrwxrwxrwx 1 root root 7 Oct 11  2012 253:18 -> ../vdb2
lrwxrwxrwx 1 root root 7 Oct 11  2012 253:19 -> ../vdb3
lrwxrwxrwx 1 root root 7 Oct 11  2012 253:2 -> ../vda2
lrwxrwxrwx 1 root root 7 Oct 11  2012 253:20 -> ../vdb4
lrwxrwxrwx 1 root root 7 Oct 11  2012 253:3 -> ../vda3
lrwxrwxrwx 1 root root 6 Oct 11  2012 253:32 -> ../vdc
lrwxrwxrwx 1 root root 7 Oct 11  2012 253:33 -> ../vdc1
lrwxrwxrwx 1 root root 7 Oct 11  2012 253:34 -> ../vdc2
lrwxrwxrwx 1 root root 7 Oct 11  2012 253:35 -> ../vdc3
lrwxrwxrwx 1 root root 7 Oct 11  2012 253:36 -> ../vdc4
lrwxrwxrwx 1 root root 7 Oct 11  2012 253:4 -> ../vda4
lrwxrwxrwx 1 root root 6 Oct 11  2012 253:48 -> ../vdd
lrwxrwxrwx 1 root root 7 Oct 11  2012 253:49 -> ../vdd1
lrwxrwxrwx 1 root root 7 Oct 11  2012 253:50 -> ../vdd2
lrwxrwxrwx 1 root root 7 Oct 11  2012 253:51 -> ../vdd3
lrwxrwxrwx 1 root root 7 Oct 11  2012 253:52 -> ../vdd4
lrwxrwxrwx 1 root root 6 Oct 11  2012 253:64 -> ../vde
lrwxrwxrwx 1 root root 8 Oct 11  2012 7:0 -> ../loop0
lrwxrwxrwx 1 root root 8 Oct 11  2012 7:1 -> ../loop1
lrwxrwxrwx 1 root root 8 Oct 11  2012 7:2 -> ../loop2
lrwxrwxrwx 1 root root 8 Oct 11  2012 7:3 -> ../loop3
lrwxrwxrwx 1 root root 8 Oct 11  2012 7:4 -> ../loop4
lrwxrwxrwx 1 root root 8 Oct 11  2012 7:5 -> ../loop5
lrwxrwxrwx 1 root root 8 Oct 11  2012 7:6 -> ../loop6
lrwxrwxrwx 1 root root 8 Oct 11  2012 7:7 -> ../loop7
lrwxrwxrwx 1 root root 8 Oct 11  2012 9:123 -> ../md123
lrwxrwxrwx 1 root root 8 Oct 11  2012 9:124 -> ../md124
lrwxrwxrwx 1 root root 8 Oct 11  2012 9:125 -> ../md125
lrwxrwxrwx 1 root root 8 Oct 11  2012 9:126 -> ../md126
lrwxrwxrwx 1 root root 8 Oct 11  2012 9:127 -> ../md127

/dev/char:
total 0
lrwxrwxrwx 1 root root  8 Oct 11  2012 10:144 -> ../nvram
lrwxrwxrwx 1 root root  9 Oct 11  2012 10:227 -> ../mcelog
lrwxrwxrwx 1 root root 11 Oct 11  2012 10:231 -> ../snapshot
lrwxrwxrwx 1 root root 17 Oct 11 10:09 10:58 -> ../mapper/control
lrwxrwxrwx 1 root root 21 Oct 11  2012 10:59 -> ../network_throughput
lrwxrwxrwx 1 root root 18 Oct 11  2012 10:60 -> ../network_latency
lrwxrwxrwx 1 root root 18 Oct 11  2012 10:61 -> ../cpu_dma_latency
lrwxrwxrwx 1 root root  8 Oct 11  2012 10:62 -> ../crash
lrwxrwxrwx 1 root root 14 Oct 11  2012 10:63 -> ../vga_arbiter
lrwxrwxrwx 1 root root 15 Oct 11  2012 13:32 -> ../input/mouse0
lrwxrwxrwx 1 root root 15 Oct 11  2012 13:33 -> ../input/mouse1
lrwxrwxrwx 1 root root 13 Oct 11 10:09 13:63 -> ../input/mice
lrwxrwxrwx 1 root root 15 Oct 11  2012 13:64 -> ../input/event0
lrwxrwxrwx 1 root root 15 Oct 11  2012 13:65 -> ../input/event1
lrwxrwxrwx 1 root root 15 Oct 11  2012 13:66 -> ../input/event2
lrwxrwxrwx 1 root root 13 Oct 11  2012 162:0 -> ../raw/rawctl
lrwxrwxrwx 1 root root  6 Oct 11  2012 1:1 -> ../mem
lrwxrwxrwx 1 root root  7 Oct 11 10:09 1:11 -> ../kmsg
lrwxrwxrwx 1 root root  9 Oct 11  2012 1:12 -> ../oldmem
lrwxrwxrwx 1 root root  7 Oct 11  2012 1:3 -> ../null
lrwxrwxrwx 1 root root  7 Oct 11  2012 1:4 -> ../port
lrwxrwxrwx 1 root root  7 Oct 11  2012 1:5 -> ../zero
lrwxrwxrwx 1 root root  7 Oct 11 10:09 1:7 -> ../full
lrwxrwxrwx 1 root root  9 Oct 11  2012 1:8 -> ../random
lrwxrwxrwx 1 root root 10 Oct 11  2012 1:9 -> ../urandom
lrwxrwxrwx 1 root root 12 Oct 11  2012 202:0 -> ../cpu/0/msr
lrwxrwxrwx 1 root root 14 Oct 11 10:09 203:0 -> ../cpu/0/cpuid
lrwxrwxrwx 1 root root 11 Oct 11 10:09 248:1 -> ../vport0p1
lrwxrwxrwx 1 root root 10 Oct 11  2012 250:0 -> ../usbmon0
lrwxrwxrwx 1 root root  7 Oct 11 10:09 254:0 -> ../rtc0
lrwxrwxrwx 1 root root  7 Oct 11  2012 4:0 -> ../tty0
lrwxrwxrwx 1 root root  7 Oct 11  2012 4:1 -> ../tty1
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:10 -> ../tty10
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:11 -> ../tty11
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:12 -> ../tty12
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:13 -> ../tty13
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:14 -> ../tty14
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:15 -> ../tty15
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:16 -> ../tty16
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:17 -> ../tty17
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:18 -> ../tty18
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:19 -> ../tty19
lrwxrwxrwx 1 root root  7 Oct 11  2012 4:2 -> ../tty2
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:20 -> ../tty20
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:21 -> ../tty21
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:22 -> ../tty22
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:23 -> ../tty23
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:24 -> ../tty24
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:25 -> ../tty25
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:26 -> ../tty26
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:27 -> ../tty27
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:28 -> ../tty28
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:29 -> ../tty29
lrwxrwxrwx 1 root root  7 Oct 11  2012 4:3 -> ../tty3
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:30 -> ../tty30
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:31 -> ../tty31
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:32 -> ../tty32
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:33 -> ../tty33
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:34 -> ../tty34
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:35 -> ../tty35
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:36 -> ../tty36
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:37 -> ../tty37
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:38 -> ../tty38
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:39 -> ../tty39
lrwxrwxrwx 1 root root  7 Oct 11  2012 4:4 -> ../tty4
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:40 -> ../tty40
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:41 -> ../tty41
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:42 -> ../tty42
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:43 -> ../tty43
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:44 -> ../tty44
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:45 -> ../tty45
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:46 -> ../tty46
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:47 -> ../tty47
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:48 -> ../tty48
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:49 -> ../tty49
lrwxrwxrwx 1 root root  7 Oct 11  2012 4:5 -> ../tty5
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:50 -> ../tty50
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:51 -> ../tty51
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:52 -> ../tty52
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:53 -> ../tty53
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:54 -> ../tty54
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:55 -> ../tty55
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:56 -> ../tty56
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:57 -> ../tty57
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:58 -> ../tty58
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:59 -> ../tty59
lrwxrwxrwx 1 root root  7 Oct 11  2012 4:6 -> ../tty6
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:60 -> ../tty60
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:61 -> ../tty61
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:62 -> ../tty62
lrwxrwxrwx 1 root root  8 Oct 11  2012 4:63 -> ../tty63
lrwxrwxrwx 1 root root  8 Oct 11 10:09 4:64 -> ../ttyS0
lrwxrwxrwx 1 root root  8 Oct 11 10:09 4:65 -> ../ttyS1
lrwxrwxrwx 1 root root  8 Oct 11 10:09 4:66 -> ../ttyS2
lrwxrwxrwx 1 root root  8 Oct 11 10:09 4:67 -> ../ttyS3
lrwxrwxrwx 1 root root  7 Oct 11  2012 4:7 -> ../tty7
lrwxrwxrwx 1 root root  7 Oct 11  2012 4:8 -> ../tty8
lrwxrwxrwx 1 root root  7 Oct 11  2012 4:9 -> ../tty9
lrwxrwxrwx 1 root root  6 Oct 11  2012 5:0 -> ../tty
lrwxrwxrwx 1 root root 10 Oct 11  2012 5:1 -> ../console
lrwxrwxrwx 1 root root  7 Oct 11  2012 5:2 -> ../ptmx
lrwxrwxrwx 1 root root  6 Oct 11  2012 7:0 -> ../vcs
lrwxrwxrwx 1 root root  7 Oct 11  2012 7:1 -> ../vcs1
lrwxrwxrwx 1 root root  7 Oct 11  2012 7:128 -> ../vcsa
lrwxrwxrwx 1 root root  8 Oct 11  2012 7:129 -> ../vcsa1

/dev/cpu:
total 0
drwxr-xr-x 2 root root 80 Oct 11 10:09 0

/dev/cpu/0:
total 0
cr--r--r-- 1 root root 203, 0 Oct 11 10:09 cpuid
crw-rw---- 1 root root 202, 0 Oct 11  2012 msr

/dev/disk:
total 0
drwxr-xr-x 2 root root 200 Oct 11  2012 by-id
drwxr-xr-x 2 root root 460 Oct 11  2012 by-path
drwxr-xr-x 2 root root 140 Oct 11  2012 by-uuid

/dev/disk/by-id:
total 0
lrwxrwxrwx 1 root root 11 Oct 11  2012 md-name-_none_:r1t1 -> ../../md127
lrwxrwxrwx 1 root root 11 Oct 11  2012 md-name-_none_:r1t2 -> ../../md123
lrwxrwxrwx 1 root root 11 Oct 11  2012 md-name-_none_:r5t1 -> ../../md126
lrwxrwxrwx 1 root root 11 Oct 11  2012 md-name-_none_:r5t3 -> ../../md125
lrwxrwxrwx 1 root root 11 Oct 11  2012 md-uuid-567e10f6:9a00be3d:7b074fb5:b0f30f65 -> ../../md127
lrwxrwxrwx 1 root root 11 Oct 11  2012 md-uuid-be4a3f13:3a807aba:8161d362:90da20ef -> ../../md126
lrwxrwxrwx 1 root root 11 Oct 11  2012 md-uuid-c3b22211:af5baa14:15b4ca2a:84e4e5e7 -> ../../md123
lrwxrwxrwx 1 root root 11 Oct 11  2012 md-uuid-e091e086:7ecfd410:dd650198:b8efddbf -> ../../md125

/dev/disk/by-path:
total 0
lrwxrwxrwx 1 root root  9 Oct 11  2012 pci-0000:00:03.0-virtio-pci-virtio1 -> ../../vda
lrwxrwxrwx 1 root root 10 Oct 11  2012 pci-0000:00:03.0-virtio-pci-virtio1-part1 -> ../../vda1
lrwxrwxrwx 1 root root 10 Oct 11  2012 pci-0000:00:03.0-virtio-pci-virtio1-part2 -> ../../vda2
lrwxrwxrwx 1 root root 10 Oct 11  2012 pci-0000:00:03.0-virtio-pci-virtio1-part3 -> ../../vda3
lrwxrwxrwx 1 root root 10 Oct 11  2012 pci-0000:00:03.0-virtio-pci-virtio1-part4 -> ../../vda4
lrwxrwxrwx 1 root root  9 Oct 11  2012 pci-0000:00:04.0-virtio-pci-virtio2 -> ../../vdb
lrwxrwxrwx 1 root root 10 Oct 11  2012 pci-0000:00:04.0-virtio-pci-virtio2-part1 -> ../../vdb1
lrwxrwxrwx 1 root root 10 Oct 11  2012 pci-0000:00:04.0-virtio-pci-virtio2-part2 -> ../../vdb2
lrwxrwxrwx 1 root root 10 Oct 11  2012 pci-0000:00:04.0-virtio-pci-virtio2-part3 -> ../../vdb3
lrwxrwxrwx 1 root root 10 Oct 11  2012 pci-0000:00:04.0-virtio-pci-virtio2-part4 -> ../../vdb4
lrwxrwxrwx 1 root root  9 Oct 11  2012 pci-0000:00:05.0-virtio-pci-virtio3 -> ../../vdc
lrwxrwxrwx 1 root root 10 Oct 11  2012 pci-0000:00:05.0-virtio-pci-virtio3-part1 -> ../../vdc1
lrwxrwxrwx 1 root root 10 Oct 11  2012 pci-0000:00:05.0-virtio-pci-virtio3-part2 -> ../../vdc2
lrwxrwxrwx 1 root root 10 Oct 11  2012 pci-0000:00:05.0-virtio-pci-virtio3-part3 -> ../../vdc3
lrwxrwxrwx 1 root root 10 Oct 11  2012 pci-0000:00:05.0-virtio-pci-virtio3-part4 -> ../../vdc4
lrwxrwxrwx 1 root root  9 Oct 11  2012 pci-0000:00:06.0-virtio-pci-virtio4 -> ../../vdd
lrwxrwxrwx 1 root root 10 Oct 11  2012 pci-0000:00:06.0-virtio-pci-virtio4-part1 -> ../../vdd1
lrwxrwxrwx 1 root root 10 Oct 11  2012 pci-0000:00:06.0-virtio-pci-virtio4-part2 -> ../../vdd2
lrwxrwxrwx 1 root root 10 Oct 11  2012 pci-0000:00:06.0-virtio-pci-virtio4-part3 -> ../../vdd3
lrwxrwxrwx 1 root root 10 Oct 11  2012 pci-0000:00:06.0-virtio-pci-virtio4-part4 -> ../../vdd4
lrwxrwxrwx 1 root root  9 Oct 11  2012 pci-0000:00:07.0-virtio-pci-virtio5 -> ../../vde

/dev/disk/by-uuid:
total 0
lrwxrwxrwx 1 root root 11 Oct 11  2012 04ee78b1-5fec-4c71-adfb-7fd5826f0543 -> ../../md125
lrwxrwxrwx 1 root root  9 Oct 11  2012 3527bfce-784e-4ba9-8cb4-45306e894063 -> ../../vde
lrwxrwxrwx 1 root root 11 Oct 11  2012 dc0393a0-8c8a-4aea-b3a1-c511b82f1220 -> ../../md123
lrwxrwxrwx 1 root root 11 Oct 11  2012 e75f20f3-2d2d-4082-9a3e-bfcbeddc356d -> ../../md127
lrwxrwxrwx 1 root root 11 Oct 11  2012 ff829bf4-3cbd-408c-bc0d-c50353e64ed9 -> ../../md126

/dev/hugepages:
total 0

/dev/input:
total 0
drwxr-xr-x 2 root root    100 Oct 11  2012 by-path
crw-r----- 1 root root 13, 64 Oct 11  2012 event0
crw-r----- 1 root root 13, 65 Oct 11  2012 event1
crw-r----- 1 root root 13, 66 Oct 11  2012 event2
crw-r----- 1 root root 13, 63 Oct 11 10:09 mice
crw-r----- 1 root root 13, 32 Oct 11  2012 mouse0
crw-r----- 1 root root 13, 33 Oct 11  2012 mouse1

/dev/input/by-path:
total 0
lrwxrwxrwx 1 root root 9 Oct 11  2012 platform-i8042-serio-0-event-kbd -> ../event1
lrwxrwxrwx 1 root root 9 Oct 11  2012 platform-i8042-serio-1-event-mouse -> ../event2
lrwxrwxrwx 1 root root 9 Oct 11  2012 platform-i8042-serio-1-mouse -> ../mouse1

/dev/mapper:
total 0
crw-rw---- 1 root root 10, 58 Oct 11 10:09 control

/dev/md:
total 4
-rw------- 1 root root 295 Oct 11  2012 md-device-map
lrwxrwxrwx 1 root root   8 Oct 11  2012 r1t1 -> ../md127
lrwxrwxrwx 1 root root   8 Oct 11  2012 r1t2 -> ../md123
lrwxrwxrwx 1 root root   8 Oct 11  2012 r5t1 -> ../md126
lrwxrwxrwx 1 root root   8 Oct 11  2012 r5t3 -> ../md125

/dev/net:
total 0
crw-rw-rw- 1 root root 10, 200 Oct 11 10:09 tun

/dev/pts:
total 0

/dev/raw:
total 0
crw-rw---- 1 root disk 162, 0 Oct 11  2012 rawctl

/dev/shm:
total 0

/dev/virtio-ports:
total 0
lrwxrwxrwx 1 root root 11 Oct 11 10:09 org.libguestfs.channel.0 -> ../vport0p1
rootfs / rootfs rw 0 0
proc /proc proc rw,relatime 0 0
/dev/root / ext2 rw,noatime,errors=continue 0 0
/proc /proc proc rw,relatime 0 0
/sys /sys sysfs rw,relatime 0 0
/dev /dev devtmpfs rw,relatime,size=241980k,nr_inodes=60495,mode=755 0 0
[   18.280923] Clocksource tsc unstable (delta = 500053794 ns).  Enable clocksource failover by adding clocksource_failover kernel parameter.
  No volume groups found
  No volume groups found
lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)

Kernel IP routing table
Destination     Gateway         Genmask         Flags   MSS Window  irtt Iface
Module                  Size  Used by
dm_mod                 83671  0 
raid456                73554  2 
async_raid6_recov       6507  1 raid456
async_pq                4775  2 raid456,async_raid6_recov
raid6_pq               90785  2 async_raid6_recov,async_pq
async_xor               3691  3 raid456,async_raid6_recov,async_pq
xor                     4687  1 async_xor
async_memcpy            2076  2 raid456,async_raid6_recov
async_tx                2924  5 raid456,async_raid6_recov,async_pq,async_xor,async_memcpy
raid1                  31881  2 
i2c_piix4              12608  0 
i2c_core               31276  1 i2c_piix4
ext2                   68221  1 
ext4                  363841  0 
jbd2                   90628  1 ext4
virtio_balloon          4862  0 
virtio_pci              7113  0 
virtio_net             16760  0 
virtio_scsi             9139  0 
virtio_blk              7164  17 
virtio_console         18419  0 
virtio_rng              2752  0 
virtio                  4977  7 virtio_balloon,virtio_pci,virtio_net,virtio_scsi,virtio_blk,virtio_console,virtio_rng
virtio_ring             8301  7 virtio_balloon,virtio_pci,virtio_net,virtio_scsi,virtio_blk,virtio_console,virtio_rng
sd_mod                 39552  0 
sym53c8xx              77039  0 
scsi_transport_spi     26151  1 sym53c8xx
ata_piix               23006  0 
sr_mod                 16228  0 
cdrom                  39803  1 sr_mod
mbcache                 8144  2 ext2,ext4
crc7                    1428  0 
crc_ccitt               1677  0 
crc_t10dif              1541  1 sd_mod
crc_itu_t               1717  0 
libcrc32c               1246  0 
Thu Oct 11 10:09:23 EDT 2012
uptime: 18.95 0.67
verbose daemon enabled
linux commmand line: panic=1 console=ttyS0 udevtimeout=300 no_timer_check acpi=off printk.time=1 cgroup_disable=memory selinux=0 guestfs_verbose=1 TERM=linux 

libguestfs: recv_from_daemon: received GUESTFS_LAUNCH_FLAG
libguestfs: [23789ms] appliance is up
libguestfs: trace: launch = 0
libguestfs: trace: shutdown
libguestfs: trace: shutdown = 0
libguestfs: trace: close
libguestfs: closing guestfs handle 0x1b197ab0 (state 0)
libguestfs: new guestfs handle 0x1c546ab0
libguestfs: trace: list_md_devices
libguestfs: send_to_daemon: 44 bytes: 00 00 00 28 | 20 00 f5 f5 | 00 00 00 04 | 00 00 01 2c | 00 00 00 00 | ...
guestfsd: main_loop: new request, len 0x28
libguestfs: recv_from_daemon: 124 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 01 2c | 00 00 00 01 | 00 12 34 00 | ...
libguestfs: trace: list_md_devices = ["/dev/md123", "/dev/md124", "/dev/md125", "/dev/md126", "/dev/md127"]
libguestfs: trace: shutdown
libguestfs: trace: shutdown = 0
libguestfs: trace: close
libguestfs: closing guestfs handle 0x1c546ab0 (state 0)
libguestfs: new guestfs handle 0x10a98ab0
libguestfs: trace: md_detail "/dev/md123"
libguestfs: send_to_daemon: 60 bytes: 00 00 00 38 | 20 00 f5 f5 | 00 00 00 04 | 00 00 01 2d | 00 00 00 00 | ...
guestfsd: main_loop: proc 300 (list_md_devices) took 0.01 seconds
guestfsd: main_loop: new request, len 0x38
mdadm -D --export /dev/md123
libguestfs: recv_from_daemon: 200 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 01 2d | 00 00 00 01 | 00 12 34 01 | ...
libguestfs: trace: md_detail = ["level", "raid1", "devices", "2", "metadata", "1.2", "uuid", "c3b22211:af5baa14:15b4ca2a:84e4e5e7", "devname", "r1t2", "name", "(none):r1t2"]
libguestfs: trace: shutdown
libguestfs: trace: shutdown = 0
libguestfs: trace: close
libguestfs: closing guestfs handle 0x10a98ab0 (state 0)
libguestfs: new guestfs handle 0x1e579ab0
libguestfs: trace: md_detail "/dev/md124"
libguestfs: send_to_daemon: 60 bytes: 00 00 00 38 | 20 00 f5 f5 | 00 00 00 04 | 00 00 01 2d | 00 00 00 00 | ...
guestfsd: main_loop: proc 301 (md_detail) took 0.08 seconds
[   19.281180] Clocksource tsc unstable (delta = 500062517 ns).  Enable clocksource failover by adding clocksource_failover kernel parameter.
guestfsd: main_loop: new request, len 0x38
mdadm -D --export /dev/md124
mdadm: md device /dev/md124 does not appear to be active.
guestfsd: error: mdadm: md device /dev/md124 does not appear to be active.
guestfsd: main_loop: proc 301 (md_detail) took 0.03 seconds
libguestfs: recv_from_daemon: 108 bytes: 20 00 f5 f5 | 00 00 00 04 | 00 00 01 2d | 00 00 00 01 | 00 12 34 02 | ...
libguestfs: trace: md_detail = NULL (error)
libguestfs: error: md_detail: mdadm: md device /dev/md124 does not appear to be active.
libguestfs: trace: close
libguestfs: closing guestfs handle 0x1cc85ab0 (state 2)
libguestfs: libguestfs: trace: shutdown
trace: close
libguestfs: trace: internlibguestfs: acll_osinautg guosyestfnsc 
handle 0x1e579ab0 (state 0)
libguestfs: send_to_daemon: 44 bytes: 00 00 00 28 | 20 00 f5 f5 | 00 00 00 04 | 00 00 01 1a | 00 00 00 00 | ...
FAIL: test-mdadm.sh
Comment 1 Richard W.M. Jones 2012-11-15 11:27:30 EST
Should be fixed by
commit 15b9ed3ed2078c034f25bf3ba31298dd89c6cddf.

Note You need to log in before you can comment on or make changes to this bug.